| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Digikam::TableViewColumnDescription Class Reference

## Public Types
typedef QList< TableViewColumnDescription > | List

## Public Member Functions
| TableViewColumnDescription (const QString &id, const QString &title, const QString &settingKey=QString(), const QString &settingValue=QString())
void | addSetting (const QString &key, const QString &value)
void | addSubColumn (const TableViewColumnDescription &subColumnDescription)
TableViewColumnDescription | setIcon (const QString &iconName)
TableViewColumnConfiguration | toConfiguration () const

## Static Public Member Functions
static bool | FindInListById (const TableViewColumnDescription::List &listToSearch, const QString &targetId, TableViewColumnDescription *const resultDescription)

## Public Attributes
QString | columnIcon
QString | columnId
QHash< QString, QString > | columnSettings
QString | columnTitle
QList< TableViewColumnDescription > | subColumns